summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeffrey Gardner <je_fro@gentoo.org>2007-11-19 03:28:59 +0000
committerJeffrey Gardner <je_fro@gentoo.org>2007-11-19 03:28:59 +0000
commit7bcc19002f287daa6872d4c834e386ada94eafc8 (patch)
treeb14f8f3f38e44ad7cab2283d55c0f407226d493b /x11-drivers
parentGetting X going again... (diff)
downloadje_fro-7bcc19002f287daa6872d4c834e386ada94eafc8.tar.gz
je_fro-7bcc19002f287daa6872d4c834e386ada94eafc8.tar.bz2
je_fro-7bcc19002f287daa6872d4c834e386ada94eafc8.zip
trying the git synaptics to see if it will work with xorg-server-1.4
svn path=/; revision=114
Diffstat (limited to 'x11-drivers')
-rw-r--r--x11-drivers/synaptics-svn/Manifest7
-rw-r--r--x11-drivers/synaptics-svn/files/digest-synaptics-svn-99990
-rw-r--r--x11-drivers/synaptics-svn/synaptics-svn-9999.ebuild42
3 files changed, 49 insertions, 0 deletions
diff --git a/x11-drivers/synaptics-svn/Manifest b/x11-drivers/synaptics-svn/Manifest
new file mode 100644
index 0000000..9849194
--- /dev/null
+++ b/x11-drivers/synaptics-svn/Manifest
@@ -0,0 +1,7 @@
+EBUILD synaptics-svn-9999.ebuild 979 RMD160 0d0e265f05692054008685edb2bc2c874b1a734d SHA1 612f6fc39f0c549561e8e7f6fff63f9e9f1f1b87 SHA256 127bbae59fc198bfcb6f7b50a7dd431f0ded1088cc322ecd9c1f7cdb12caed9b
+MD5 27cf13b0d0e68b962f0ca47d8dbb8acc synaptics-svn-9999.ebuild 979
+RMD160 0d0e265f05692054008685edb2bc2c874b1a734d synaptics-svn-9999.ebuild 979
+SHA256 127bbae59fc198bfcb6f7b50a7dd431f0ded1088cc322ecd9c1f7cdb12caed9b synaptics-svn-9999.ebuild 979
+MD5 d41d8cd98f00b204e9800998ecf8427e files/digest-synaptics-svn-9999 0
+RMD160 9c1185a5c5e9fc54612808977ee8f548b2258d31 files/digest-synaptics-svn-9999 0
+SHA256 e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855 files/digest-synaptics-svn-9999 0
diff --git a/x11-drivers/synaptics-svn/files/digest-synaptics-svn-9999 b/x11-drivers/synaptics-svn/files/digest-synaptics-svn-9999
new file mode 100644
index 0000000..e69de29
--- /dev/null
+++ b/x11-drivers/synaptics-svn/files/digest-synaptics-svn-9999
diff --git a/x11-drivers/synaptics-svn/synaptics-svn-9999.ebuild b/x11-drivers/synaptics-svn/synaptics-svn-9999.ebuild
new file mode 100644
index 0000000..daffb8f
--- /dev/null
+++ b/x11-drivers/synaptics-svn/synaptics-svn-9999.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EGIT_REPO_URI="http://web.telia.com/~u89404340/touchpad/synaptics/.git/"
+inherit git
+
+DESCRIPTION="The latest from the synaptics git tree."
+HOMEPAGE="http://web.telia.com/~u89404340/touchpad/"
+SRC_URI=""
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="x11-libs/libXext"
+DEPEND="${RDEPEND}
+ x11-base/xorg-server
+ >=sys-apps/sed-4"
+
+src_unpack() {
+ git_src_unpack
+
+ # Switch up the CC and CFLAGS stuff.
+ sed -i \
+ -e "s:CC = gcc:CC = $(tc-getCC):g" \
+ -e "s:CDEBUGFLAGS = -O2:CDEBUGFLAGS = ${CFLAGS}:g" \
+ "${S}"/Makefile
+}
+
+src_install() {
+ make \
+ DESTDIR="${D}" \
+ PREFIX=/usr \
+ MANDIR="${D}"/usr/share/man \
+ install || die
+
+ dodoc script/usbmouse script/usbhid alps.patch trouble-shooting.txt
+ dodoc COMPATIBILITY FILES INSTALL* LICENSE NEWS TODO README*
+
+}